RagTime5TextInternal::State Struct Reference

Internal: the state of a RagTime5Text. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

int | m_numPages
| the number of pages
std::map< int, std::shared_ptr< ClusterText > > | m_idTextMap
| map data id to text zone
int | m_uniqueIndexId
| an int used to create unique index id

## Detailed Description

Internal: the state of a RagTime5Text.

## Constructor & Destructor Documentation

## State()

RagTime5TextInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_idTextMap

std::map<int, std::shared_ptr<ClusterText> > RagTime5TextInternal::State::m_idTextMap

map data id to text zone

Referenced by State().

## m_numPages

int RagTime5TextInternal::State::m_numPages

the number of pages

Referenced by State().

## m_uniqueIndexId

int RagTime5TextInternal::State::m_uniqueIndexId

an int used to create unique index id

Referenced by State().

The documentation for this struct was generated from the following file:

- RagTime5Text.cxx